# ApplicationFramework
TKCDF
CDF

# CDF_Session Class Reference

`#include <CDF_Session.hxx>`

## Public Member Functions

Standard_EXPORT | CDF_Session ()
Standard_EXPORT Handle_CDF_Directory | Directory () const
| returns the directory of the session;
Standard_EXPORT Standard_Boolean | HasCurrentApplication () const
Standard_EXPORT Handle_CDF_Application | CurrentApplication () const
Standard_EXPORT void | SetCurrentApplication (const Handle(CDF_Application)&anApplication)
Standard_EXPORT void | UnsetCurrentApplication ()
Standard_EXPORT Handle_CDF_MetaDataDriver | MetaDataDriver () const
Standard_EXPORT void | LoadDriver ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Standard_Boolean | Exists ()
| returns true if a session has been created.
static Standard_EXPORT Handle_CDF_Session | CurrentSession ()
| returns the only one instance of Session that has been created.

## Private Attributes

Handle_CDF_Directory | myDirectory
Handle_CDF_Application | myCurrentApplication
Standard_Boolean | myHasCurrentApplication
Handle_CDF_MetaDataDriver | myMetaDataDriver

## Constructor & Destructor Documentation

Standard_EXPORT CDF_Session::CDF_Session | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_CDF_Application CDF_Session::CurrentApplication | ( |  | ) | const

static Standard_EXPORT Handle_CDF_Session CDF_Session::CurrentSession | ( |  | ) | `[static]`

Standard_EXPORT Handle_CDF_Directory CDF_Session::Directory | ( |  | ) | const

static Standard_EXPORT Standard_Boolean CDF_Session::Exists | ( |  | ) | `[static]`

Standard_EXPORT const CDF_Session::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Boolean CDF_Session::HasCurrentApplication | ( |  | ) | const

Standard_EXPORT void CDF_Session::LoadDriver | ( |  | ) |

Standard_EXPORT Handle_CDF_MetaDataDriver CDF_Session::MetaDataDriver | ( |  | ) | const

Standard_EXPORT void CDF_Session::SetCurrentApplication | ( | const Handle(CDF_Application)& | anApplication | ) |

Standard_EXPORT void CDF_Session::UnsetCurrentApplication | ( |  | ) |

## Field Documentation

Handle_CDF_Application CDF_Session::myCurrentApplication `[private]`

Handle_CDF_Directory CDF_Session::myDirectory `[private]`

Standard_Boolean CDF_Session::myHasCurrentApplication `[private]`

Handle_CDF_MetaDataDriver CDF_Session::myMetaDataDriver `[private]`

The documentation for this class was generated from the following file:

- CDF_Session.hxx